> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get confirm

> Retrieve booking confirmation details, including the OTP that must be presented to the doctor before consultation.



## OpenAPI

````yaml get /abdm/uhi/v1/physical-consultation/booking/confirm
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/booking/confirm:
    get:
      description: >-
        Retrieve booking confirmation details, including the OTP that must be
        presented to the doctor before consultation.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - in: query
          name: txn_id
          schema:
            type: string
        - description: Unique Identifier of a Provider in the system.
          in: query
          name: provider_id
          schema:
            description: Unique Identifier of a Provider in the system.
            type: string
        - description: Unique Identifier of any booking.
          in: query
          name: order_id
          schema:
            description: Unique Identifier of any booking.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsGetConfirmResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsGetConfirmResponse:
      properties:
        doctor_info:
          $ref: '#/components/schemas/ModelsDoctorInfo'
          description: >-
            Detailed information about the doctor associated with the confirmed
            appointment
        order_id:
          description: Unique identifier of the confirmed order or booking
          type: string
        pin:
          description: PIN to start the confirmation
          type: string
        slot:
          $ref: '#/components/schemas/ModelsSlot'
          description: Details of the confirmed slot including start and end time
        state:
          description: Current Status of the appointment
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ModelsDoctorInfo:
      properties:
        education:
          description: Educational qualifications of the doctor
          type: string
        experience:
          description: Years of experience of doctor.
          type: string
        gender:
          description: Gender of the doctor (e.g., Male, Female, Other)
          type: string
        id:
          description: Unique identifier of the doctor
          type: string
        languages:
          description: Languages spoken by the doctor
          items:
            type: string
          type: array
        name:
          description: Full name of the doctor
          type: string
      type: object
    ModelsSlot:
      properties:
        end:
          description: End time of the slot.
          type: string
        slot_id:
          description: Unique identifier for the slot
          type: string
        start:
          description: Start time of the slot.
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````